package fr.irisa.cairn.jnimap.isl;

import java.util.AbstractMap;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Map.Entry;

import fr.irisa.cairn.jnimap.runtime.JNIObject;


/*** PROTECTED REGION ID(ISLScheduleFilterNode_userImport) ENABLED START ***/
	/*
		Put you custom import here ....
	*/
/*** PROTECTED REGION END ***/

/**
 *  Automatically generated by jnimap 
 * @generated
 */
public class ISLScheduleFilterNode extends ISLScheduleNode  {
	
	/* @generated */
	protected ISLScheduleFilterNode(long ptr) {
		/*** PROTECTED REGION ID(ISLScheduleFilterNode_Constructor) DISABLED START ***/
		super(ptr);
		/*** PROTECTED REGION END ***/
	}
	
	/* @generated */
	protected static ISLScheduleFilterNode build(long ptr) {
		return new ISLScheduleFilterNode(ptr);
	}
	
	/*** PROTECTED REGION ID(ISLScheduleFilterNode_userCode) ENABLED START ***/
	/*** PROTECTED REGION END ***/

	
	/*************************************** 
	 *	         Static Methods            * 
	 ***************************************/
	
	/*************************************** 
	 *	         Member Methods            * 
	 ***************************************/
	/**
	 * isl_schedule_node_filter_get_filter 
	 * 
	 * @generated
	**/
	public ISLUnionSet getFilter() {
		/*** PROTECTED REGION ID(isl_schedule_node_filter_get_filter) DISABLED START ***/
		ISLUnionSet res;
		
		synchronized(LOCK) {
			checkParameters();
			try {
				res = ISLUnionSet.build(ISLNative.isl_schedule_node_filter_get_filter(getNativePtr(this)));
			} finally {
			}
		}
		
		return res;
		/*** PROTECTED REGION END ***/
	}
	
	
	public void accept(IISLScheduleNodeVisitor visitor) {
		visitor.visitISLScheduleFilterNode(this);
	}
	
	public String toString() {
		/*** PROTECTED REGION ID(ISLScheduleFilterNode_toString) DISABLED START ***/
			return ISLPrettyPrinter.asString(this);
		/*** PROTECTED REGION END ***/
	}
}
